"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HASH_EXPIRATION = void 0;
const generic_transformers_1 = require("./generic-transformers");
exports.HASH_EXPIRATION = {
    /** The field does not exist */
    FIELD_NOT_EXISTS: -2,
    /** Specified NX | XX | GT | LT condition not met */
    CONDITION_NOT_MET: 0,
    /** Expiration time was set or updated */
    UPDATED: 1,
    /** Field deleted because the specified expiration time is in the past */
    DELETED: 2
};
exports.default = {
    FIRST_KEY_INDEX: 1,
    transformArguments(key, fields, seconds, mode) {
        const args = ['HEXPIRE', key, seconds.toString()];
        if (mode) {
            args.push(mode);
        }
        args.push('FIELDS');
        return (0, generic_transformers_1.pushVariadicArgument)(args, fields);
    },
    transformReply: undefined
};
//# sourceMappingURL=HEXPIRE.js.map